# subsidy_func.h File Reference

Functions related to subsidies. More...

`#include "core/geometry_type.hpp"`
`#include "station_type.h"`
`#include "company_type.h"`
`#include "cargo_type.h"`

Go to the source code of this file.

## Functions
Pair | SetupSubsidyDecodeParam (const struct Subsidy *s, bool mode)
void | DeleteSubsidyWith (SourceType type, SourceID index)
bool | CheckSubsidised (CargoID cargo_type, CompanyID company, SourceType src_type, SourceID src, const Station *st)
| Tests whether given delivery is subsidised and possibly awards the subsidy to delivering company.
void | SubsidyMonthlyHandler ()
void | RebuildSubsidisedSourceAndDestinationCache ()
void | DeleteSubsidy (struct Subsidy *s)

## Detailed Description

Functions related to subsidies.

Definition in file subsidy_func.h.

## Function Documentation

bool CheckSubsidised | ( | CargoID | cargo_type,
|  | CompanyID | company,
|  | SourceType | src_type,
|  | SourceID | src,
|  | const Station * | st |
| ) |  |  |

Tests whether given delivery is subsidised and possibly awards the subsidy to delivering company.

Parameters:

  | cargo_type | type of cargo
  | company | company delivering the cargo
  | src_type | type of src
  | src | index of source
  | st | station where the cargo is delivered to

Returns:
  is the delivery subsidised?

Definition at line 330 of file subsidy.cpp.

References Subsidy::awarded, Subsidy::AwardTo(), SmallVector< T, S >::Begin(), Subsidy::cargo_type, Subsidy::dst, Subsidy::dst_type, SmallVector< T, S >::End(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_town_pool >::Get(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), Station::GetCatchmentRect(), SmallVector< T, S >::Include(), Station::industries_near, INVALID_SOURCE, Subsidy::IsAwarded(), IsTileType(), MP_HOUSE, Town::part_of_subsidy, POS_DST, POS_SRC, BaseStation::rect, Subsidy::src, Subsidy::src_type, ST_INDUSTRY, ST_TOWN, and TileXY().

Referenced by DeliverGoods().